-- --------------------------------------------------------------------------
--  $Revision: 135 $ $Date: 2006-11-10 10:50:22 +0100 (Fri, 10 Nov 2006) $
-- --------------------------------------------------------------------------

-- |
--
-- Module      :  FunParsing.Parsers
-- Copyright   :  Peter Ljunglof 2002
-- License     :  GPL
--
-- Maintainer  :  otakar.smrz mff.cuni.cz
-- Stability   :  provisional
-- Portability :  portable
--
-- Chapters 3 and 4 of /Pure Functional Parsing &#150; an advanced tutorial/
-- by Peter Ljungl&#246;f
--
-- <http://www.cs.chalmers.se/~peb/pubs/p02-lic-thesis.pdf>
--
-- <http://www.cs.chalmers.se/~peb/software/functional-parsing/>
--
-- With this limited distribution, you can create only some of the parsers
-- described in the thesis. These include in particular:
--
--  ['Standard' @s@]
--      "FunParsing.Parsers.Standard",
--      the standard parser, sec. 3.2
--
--  ['Stream' @s@]
--      "FunParsing.Parsers.Stream",
--      the stream processor parser, sec. 3.5.2
--
--  ['Trie' @s@]
--      "FunParsing.Parsers.Trie",
--      the trie parser, sec. 4.2.1
--
--  ['AmbTrie' @s@]
--      "FunParsing.Parsers.AmbTrie",
--      the ambiguous trie parser, sec. 4.2.2
--
--  ['ExTrie' @s@]
--      "FunParsing.Parsers.ExTrie",
--      the extended trie parser, sec. 4.3.3
--
--  ['AmbExTrie' @s@]
--      "FunParsing.Parsers.AmbExTrie",
--      the ambiguous extended trie parser, sec. 4.3.4
--
--  ['PairTrie' 'Standard' @s@]
--      "FunParsing.Parsers.PairTrie", together with
--      "FunParsing.Parsers.Standard",
--      the paired trie parser, sec. 4.4
--
-- "FunParsing.OrdMap" "FunParsing.Parsers.Parser"


module FunParsing.Parsers where


import FunParsing.Parsers.Standard
import FunParsing.Parsers.Stream
import FunParsing.Parsers.Trie
import FunParsing.Parsers.AmbTrie
import FunParsing.Parsers.ExTrie
import FunParsing.Parsers.AmbExTrie
import FunParsing.Parsers.PairTrie

import Version

version = revised "$Revision: 135 $"
